<template>
  <div class="projectBoardWrapper">
    <div class="projectInfo">
      <div>
        <p class="title">{{ board.name }}</p>
        <p class="subtitle">{{ board.description }}</p>
      </div>
      <div class="boardCount">
        <p>3 Boards</p>
      </div>
    </div>
    <div class="boardWrapper">
      <SimpleBoard boardName="yolo" />
      <SimpleBoard boardName="yala" />
      <SimpleBoard boardName="Omaha" />
      <SimpleBoard boardName="Yafa" />
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import SimpleBoard from '@/components/SimpleBoard.vue';

export default defineComponent({
  name: 'ProjectBoard',
  props: {
    board: {
      required: true,
    },
  },
  components: {
    SimpleBoard,
  },
  setup() {
    return null;
  },
});
</script>

<style scoped lang="scss">
.projectBoardWrapper {
  width: 365px;
  height: 280px;
  padding: 20px;
  border-radius: var(--border-radius);
  box-shadow: var(--box-shadow);
  // box-shadow: rgba(0, 0, 0, 0.25) 0px 0.0625em 0.0625em, rgba(0, 0, 0, 0.25) 0px 0.125em 0.5em,
  //   rgba(255, 255, 255, 0.1) 0px 0px 0px 1px inset;
  background: var(--item-background);

  p {
    margin: 0;
  }

  .projectInfo {
    display: flex;
    justify-content: space-between;

    .title {
      font-size: 18px;
      font-weight: 900;
      color: var(--color-primary);
    }

    .subtitle {
      font-size: 14px;
      max-width: 250px;
    }
  }

  .boardCount {
    text-align: right;
    font-size: 14px;
  }
}

.boardWrapper {
  width: 100%;
  height: 70%;
  overflow-y: scroll;
  margin-top: 10px;

  &::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 1px rgba(0, 0, 0, 0.3);
    background-color: #a2a2a2;
    border-radius: 50px;
  }

  &::-webkit-scrollbar {
    width: 8px;
    background-color: #f5f5f5;
    border-radius: 50px;
  }

  &::-webkit-scrollbar-thumb {
    background-color: #4a4a4a;
    border-radius: 50px;
  }
}
</style>
